Bug 56676 - System lock with kernel2.4.9-13athlon and NTFS
System lock with kernel2.4.9-13athlon and NTFS
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
: 57561 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-11-23 23:44 EST by spot
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-08 10:29:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description spot 2001-11-23 23:44:27 EST
Description of Problem:
I am dual booting Windows 2000 (NTFS) and RH 7.2. I have recompiled the latest RH 7.2 kernel source (2.4.9-13athlon) and activated NTFS read-only file partition access. I can mount the NTFS partition using "mount -t ntfs /dev/hda1 /mnt/winc" and the command appears to work. If I then "ls /mnt/win" RH locks the whole machine. Sometimes it occurs the first time, sometimes after 3-4 ls's of different directories, but it happens every time (8-10 times so far). I have to hit the reset button and reboot, as there is no response from keyboard or mouse, and I am unable to ssh into the machine at that point. 

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. enable NTFS read-only in the kernel
2. ls to any directory on the NTFS partition (either by console or gui)

Actual Results:
Machine completely stops responding...total lock.

Expected Results:
Expect to be able to change directories on the mounted partition.

Additional Information:
FIC AZ11E mainboard, based on the VIA KT133 and 686B chipset
AMD Athlon 1.1G CPU
Comment 1 stano 2001-12-16 03:51:36 EST
*** Bug 57561 has been marked as a duplicate of this bug. ***
Comment 2 stano 2001-12-16 03:53:42 EST
I am seeing the same symptoms - see Bug #57561 for my info, inluding lscpi
output and a configuration file.

At least we are now sure it is not SMP, Athlon or 686-specific.
Comment 3 giorgio bellussi 2002-02-08 10:24:14 EST
I had a similar problem with kernel2.4.9-13-21 and NTFS.
Trying with kernel 2.4.17 (vanilla) the module works fine.
Comment 4 stano 2002-02-08 10:29:35 EST
Same here - no problem with vanilla 2.4.17
Comment 5 Arjan van de Ven 2002-02-11 10:57:54 EST
There's a reason NTFS isn't supported in the 7.2 kernels ;(
At that time it wasn't usable at all. It appears to be improving though....
Comment 6 Didier Arenzana 2002-02-27 04:59:36 EST
I've had the same problem on a compaq laptop (Evo N400c) and kernel-2.4.9-21 

Note You need to log in before you can comment on or make changes to this bug.